Upstream information

CVE-2016-4562 at MITRE

Description

The DrawDashPolygon function in MagickCore/draw.c in ImageMagick before 6.9.4-0 and 7.x before 7.0.1-2 mishandles calculations of certain vertices integer data, which allows remote attackers to cause a denial of service (buffer overflow and application crash) or possibly have unspecified other impact via a crafted file.

SUSE information

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.82 6.82
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.8
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entries: 983292 [RESOLVED / FIXED], 983305 [RESOLVED / FIXED], 983308 [RESOLVED / FIXED], 983309 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • ImageMagick >= 6.8.8.1-30.2
  • libMagick++-6_Q16-3 >= 6.8.8.1-30.2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-30.2
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-30.2
  • libMagickWand-6_Q16-1 >= 6.8.8.1-30.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1041
SUSE Linux Enterprise Desktop 12 SP2
  • ImageMagick >= 6.8.8.1-33.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-33.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-33.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-33.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA ImageMagick
SUSE Linux Enterprise Server 11 SP4
  • ImageMagick >= 6.4.3.6-7.45.1
  • libMagickCore1 >= 6.4.3.6-7.45.1
  • libMagickCore1-32bit >= 6.4.3.6-7.45.1
Patchnames:
slessp4-ImageMagick-12643
SUSE Linux Enterprise Server 12 SP1
  • ImageMagick >= 6.8.8.1-30.2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-30.2
  • libMagickWand-6_Q16-1 >= 6.8.8.1-30.2
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1041
SUSE Linux Enterprise Server 12 SP2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-33.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libMagickCore-6_Q16-1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libMagickCore-6_Q16-1 >= 6.8.8.1-33.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libMagickCore-6_Q16-1
SUSE Linux Enterprise Software Development Kit 11 SP4
  • ImageMagick >= 6.4.3.6-7.45.1
  • ImageMagick-devel >= 6.4.3.6-7.45.1
  • libMagick++-devel >= 6.4.3.6-7.45.1
  • libMagick++1 >= 6.4.3.6-7.45.1
  • libMagickWand1 >= 6.4.3.6-7.45.1
  • libMagickWand1-32bit >= 6.4.3.6-7.45.1
  • perl-PerlMagick >= 6.4.3.6-7.45.1
Patchnames:
sdksp4-ImageMagick-12643
SUSE Linux Enterprise Software Development Kit 12 SP1
  • ImageMagick >= 6.8.8.1-30.2
  • ImageMagick-devel >= 6.8.8.1-30.2
  • libMagick++-6_Q16-3 >= 6.8.8.1-30.2
  • libMagick++-devel >= 6.8.8.1-30.2
  • perl-PerlMagick >= 6.8.8.1-30.2
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1041
SUSE Linux Enterprise Software Development Kit 12 SP2
  • ImageMagick >= 6.8.8.1-33.1
  • ImageMagick-devel >= 6.8.8.1-33.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-33.1
  • libMagick++-devel >= 6.8.8.1-33.1
  • perl-PerlMagick >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA ImageMagick
SUSE Linux Enterprise Workstation Extension 12 SP1
  • ImageMagick >= 6.8.8.1-30.2
  • libMagick++-6_Q16-3 >= 6.8.8.1-30.2
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-30.2
Patchnames:
SUSE-SLE-WE-12-SP1-2016-1041
SUSE Linux Enterprise Workstation Extension 12 SP2
  • ImageMagick >= 6.8.8.1-33.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-33.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-33.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA ImageMagick
openSUSE 13.2
  • ImageMagick >= 6.8.9.8-26.1
  • ImageMagick-debuginfo >= 6.8.9.8-26.1
  • ImageMagick-debugsource >= 6.8.9.8-26.1
  • ImageMagick-devel >= 6.8.9.8-26.1
  • ImageMagick-devel-32bit >= 6.8.9.8-26.1
  • ImageMagick-doc >= 6.8.9.8-26.1
  • ImageMagick-extra >= 6.8.9.8-26.1
  • ImageMagick-extra-debuginfo >= 6.8.9.8-26.1
  • libMagick++-6_Q16-5 >= 6.8.9.8-26.1
  • libMagick++-6_Q16-5-32bit >= 6.8.9.8-26.1
  • libMagick++-6_Q16-5-debuginfo >= 6.8.9.8-26.1
  • libMagick++-6_Q16-5-debuginfo-32bit >= 6.8.9.8-26.1
  • libMagick++-devel >= 6.8.9.8-26.1
  • libMagick++-devel-32bit >= 6.8.9.8-26.1
  • libMagickCore-6_Q16-2 >= 6.8.9.8-26.1
  • libMagickCore-6_Q16-2-32bit >= 6.8.9.8-26.1
  • libMagickCore-6_Q16-2-debuginfo >= 6.8.9.8-26.1
  • libMagickCore-6_Q16-2-debuginfo-32bit >= 6.8.9.8-26.1
  • libMagickWand-6_Q16-2 >= 6.8.9.8-26.1
  • libMagickWand-6_Q16-2-32bit >= 6.8.9.8-26.1
  • libMagickWand-6_Q16-2-debuginfo >= 6.8.9.8-26.1
  • libMagickWand-6_Q16-2-debuginfo-32bit >= 6.8.9.8-26.1
  • perl-PerlMagick >= 6.8.9.8-26.1
  • perl-PerlMagick-debuginfo >= 6.8.9.8-26.1
Patchnames:
openSUSE-2016-840
openSUSE Leap 42.1
  • ImageMagick >= 6.8.8.1-15.1
  • ImageMagick-debuginfo >= 6.8.8.1-15.1
  • ImageMagick-debugsource >= 6.8.8.1-15.1
  • ImageMagick-devel >= 6.8.8.1-15.1
  • ImageMagick-devel-32bit >= 6.8.8.1-15.1
  • ImageMagick-doc >= 6.8.8.1-15.1
  • ImageMagick-extra >= 6.8.8.1-15.1
  • ImageMagick-extra-debuginfo >= 6.8.8.1-15.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-15.1
  • libMagick++-6_Q16-3-32bit >= 6.8.8.1-15.1
  • libMagick++-6_Q16-3-debuginfo >= 6.8.8.1-15.1
  • libMagick++-6_Q16-3-debuginfo-32bit >= 6.8.8.1-15.1
  • libMagick++-devel >= 6.8.8.1-15.1
  • libMagick++-devel-32bit >= 6.8.8.1-15.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-15.1
  • libMagickCore-6_Q16-1-32bit >= 6.8.8.1-15.1
  • libMagickCore-6_Q16-1-debuginfo >= 6.8.8.1-15.1
  • libMagickCore-6_Q16-1-debuginfo-32bit >= 6.8.8.1-15.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-15.1
  • libMagickWand-6_Q16-1-32bit >= 6.8.8.1-15.1
  • libMagickWand-6_Q16-1-debuginfo >= 6.8.8.1-15.1
  • libMagickWand-6_Q16-1-debuginfo-32bit >= 6.8.8.1-15.1
  • perl-PerlMagick >= 6.8.8.1-15.1
  • perl-PerlMagick-debuginfo >= 6.8.8.1-15.1
Patchnames:
openSUSE-2016-883
openSUSE Leap 42.2
  • ImageMagick >= 6.8.8.1-20.1
  • ImageMagick-devel >= 6.8.8.1-20.1
  • ImageMagick-doc >= 6.8.8.1-20.1
  • ImageMagick-extra >= 6.8.8.1-20.1
  • libMagick++-6_Q16-3 >= 6.8.8.1-20.1
  • libMagickCore-6_Q16-1 >= 6.8.8.1-20.1
  • libMagickWand-6_Q16-1 >= 6.8.8.1-20.1
  • perl-PerlMagick >= 6.8.8.1-20.1
Patchnames:
openSUSE Leap 42.2 GA ImageMagick